Get user preferences
Returns the profile of the currently authenticated user in a 'preference' object: userId, username, email, phone, firstName, lastName, websiteUrl, company, country, state, accountUIStyle, advancedAnalyticsView, locale, darkTheme, compactMode, receiveNewsletter, receiveNotificationsByEmail, comments
https://YOUR-NETWORK-DOMAIN/rest-api/user-preference/get.do Returns the profile of the currently authenticated user in a 'preference' object: userId, username, email, phone, firstName, lastName, websiteUrl, company, country, state, accountUIStyle, advancedAnalyticsView, locale, darkTheme, compactMode, receiveNewsletter, receiveNotificationsByEmail, comments and aclRole (the name of the user's ACL role). No password field is ever included. Requires authentication (hash+timestamp+username query params or an active session).
Responses
200
User preferences returned in a 'preference' wrapper object
400
Bad request — invalid or missing parameters
401
Unauthorized — authentication error
403
Forbidden — insufficient permissions